Announcement Announcement Module
Collapse
No announcement yet.
Error while building greenpages-1.0.1.RELEASE Page Title Module
Move Remove Collapse
X
Conversation Detail Module
Collapse
  • Filter
  • Time
  • Show
Clear All
new posts

  • Error while building greenpages-1.0.1.RELEASE

    Hi All,

    I'm getting the following error while executing PAR project using mvn package command:

    Code:
    + Error stacktraces are turned on.
    [INFO] Scanning for projects...
    [INFO] Reactor build order: 
    [INFO]   greenpages.parent
    [INFO]   greenpages.db
    [INFO]   greenpages.app
    [INFO]   greenpages.jpa
    [INFO]   greenpages.web
    [INFO]   greenpages.tests
    [INFO]   GreenPages PAR
    [INFO]   GreenPages App Build
    [INFO] ------------------------------------------------------------------------
    [INFO] Building greenpages.parent
    [INFO]    task-segment: [clean, package]
    [INFO] ------------------------------------------------------------------------
    [INFO] ------------------------------------------------------------------------
    [ERROR] BUILD ERROR
    [INFO] ------------------------------------------------------------------------
    [INFO] 'transform' was specified in an execution, but not found in the plugin
    [INFO] ------------------------------------------------------------------------
    [INFO] Trace
    org.apache.maven.lifecycle.LifecycleExecutionException: 'transform' was specified in an execution, but not found in the plugin
    	at org.apache.maven.lifecycle.DefaultLifecycleExecutor.bindExecutionToLifecycle(DefaultLifecycleExecutor.java:1667)
    	at org.apache.maven.lifecycle.DefaultLifecycleExecutor.bindPluginToLifecycle(DefaultLifecycleExecutor.java:1525)
    	at org.apache.maven.lifecycle.DefaultLifecycleExecutor.constructLifecycleMappings(DefaultLifecycleExecutor.java:1282)
    	at org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeGoal(DefaultLifecycleExecutor.java:534)
    	at org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeGoalAndHandleFailures(DefaultLifecycleExecutor.java:387)
    	at org.apache.maven.lifecycle.DefaultLifecycleExecutor.executeTaskSegments(DefaultLifecycleExecutor.java:348)
    	at org.apache.maven.lifecycle.DefaultLifecycleExecutor.execute(DefaultLifecycleExecutor.java:180)
    	at org.apache.maven.DefaultMaven.doExecute(DefaultMaven.java:328)
    	at org.apache.maven.DefaultMaven.execute(DefaultMaven.java:138)
    	at org.apache.maven.cli.MavenCli.main(MavenCli.java:362)
    	at org.apache.maven.cli.compat.CompatibleMain.main(CompatibleMain.java:60)
    	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    	at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:39)
    	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:25)
    	at java.lang.reflect.Method.invoke(Method.java:585)
    	at org.codehaus.classworlds.Launcher.launchEnhanced(Launcher.java:315)
    	at org.codehaus.classworlds.Launcher.launch(Launcher.java:255)
    	at org.codehaus.classworlds.Launcher.mainWithExitCode(Launcher.java:430)
    	at org.codehaus.classworlds.Launcher.main(Launcher.java:375)
    [INFO] ------------------------------------------------------------------------
    [INFO] Total time: < 1 second
    [INFO] Finished at: Mon Dec 07 10:33:08 CET 2009
    [INFO] Final Memory: 2M/4M
    [INFO] ------------------------------------------------------------------------
    It looks like the "transform" goal doesn't exist in this version of plugin (1.0.0.BUILD-SNAPSHOT). Am I right?

    Additionally, I'm giving the current configuration of bundlor maven plugin:

    Code:
    <plugin>
    				<groupId>com.springsource.bundlor</groupId>
    				<artifactId>com.springsource.bundlor.maven</artifactId>
    				<version>1.0.0.BUILD-SNAPSHOT</version>
    				<executions>
    					<execution>
    						<id>bundlor</id>
    						<goals>
    							<goal>transform</goal>
    						</goals>
    						<phase>package</phase>
    					</execution>
    				</executions>
    			</plugin>
    I'm also providing the version of the maven that is used for building the project:

    Code:
    Apache Maven 2.2.1 (r801777; 2009-08-06 21:16:01+0200)
    Java version: 1.5.0_15
    Java home: C:\jdk1.5-15\jre
    Default locale: en_US, platform encoding: Cp1252
    OS name: "windows xp" version: "5.1" arch: "x86" Family: "windows"
    Have you guys faced simliar issue?

    Any help is really appreciated.

    Regards,
    Krzysztof
    Last edited by krzychu; Dec 7th, 2009, 05:26 AM.

  • #2
    Yes, that's a known problem fixed by v1.1.0 of greenpages.

    Comment


    • #3
      Originally posted by Glyn Normington View Post
      Yes, that's a known problem fixed by v1.1.0 of greenpages.
      I've downloaded the latest version of greenpages app and I'm getting same error.

      Comment


      • #4
        I checked and get the same problem. I have logged DMS-2225 to capture this. Thanks for bringing this up.

        Comment


        • #5
          I too am facing the same problem.
          i am using greenpages V 1.1.0

          so is there any solution for that .....?

          my project uses DMserver 1.0 so i cannot use springsource dmserver 2.+.
          Last edited by kamath_sv; Oct 7th, 2010, 01:07 AM.

          Comment


          • #6
            Greenpages is now at v2.3.0 and I'm afraid we can't afford to maintain old versions which is why we closed the issue as WONTFIX.

            Comment


            • #7
              thanks for quick reply..

              i am new to these technologies.

              https://issuetracker.springsource.com/browse/DMS-1488
              in the above link, the reply is "You're using the GreenPages 2.0.0 version on dm Server 1.x and that's not going to work."

              can i use greenpages v2.3.0 on Dmserver 1.0 ?


              Actually i am trying to use Springsource tool suite(STS), i wanted to whether hot deployment is possible with STS & Dmserver v1.0.2
              Last edited by kamath_sv; Oct 7th, 2010, 01:46 AM.

              Comment


              • #8
                Originally posted by kamath_sv View Post
                thanks for quick reply..

                i am new to these technologies.

                https://issuetracker.springsource.com/browse/DMS-1488
                in the above link, the reply is "You're using the GreenPages 2.0.0 version on dm Server 1.x and that's not going to work."

                can i use greenpages v2.3.0 on Dmserver 1.0 ?
                No. Greenpages v2.3.0 depends on Eclipse Virgo (the follow on to dm Server).
                Actually i am trying to use Springsource tool suite(STS), i wanted to whether hot deployment is possible with STS & Dmserver v1.0.2
                That should work ok.

                Comment

                Working...
                X